Lock an appointment (specified by Id) for editing
PUT/v1/appointments/:id/lock
Lock an appointment (specified by Id) for editing.
The appointment will be locked to the user who made the request.
Any update operations on the appointment made by other users will fail until the lock is removed.
The appointment will be unlocked when either of the following happens:
-
The lock times out (see settings page in calendar admin)
-
The same user performs an update of the appointment via the update call
-
The same user does a DELETE on the same path, calling the Release lock method.
The following restrictions apply:
-
The appointment must exist
-
The appointment must be in status BOOKED (20)
-
The appointment start time must be in the future
-
The appointment is not locked by another user
Example of usage:
curl -u user:password -i -X PUT http://orchestra-ip:orchestra-port/calendar-backend/api/v1/appointments/{appointmentId}/lock
Request
Responses
- 204
A Json object of com.qmatic.qp.calendar.rest.dto.AppointmentDTO if the lock was successful